From 4eefca84dcc4fab809ea00abbaedd4ae88b1ef4a Mon Sep 17 00:00:00 2001
From: Zzull <bstrazzull@hotmail.fr>
Date: Sun, 25 Sep 2022 16:05:17 +0200
Subject: [PATCH 04/13] gnu: Add java-fasterxml-jackson-databind-2.12.2

* gnu/packages/java.scm (java-fasterxml-jackson-databind-2.12.2): New variable.
---
 gnu/packages/java.scm | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/gnu/packages/java.scm b/gnu/packages/java.scm
index 8acf4e8dda..2b1c968650 100644
--- a/gnu/packages/java.scm
+++ b/gnu/packages/java.scm
@@ -10117,6 +10117,24 @@ (define-public java-fasterxml-jackson-databind
 configuration.")
     (license license:asl2.0))); found on wiki.fasterxml.com/JacksonLicensing
 
+(define-public java-fasterxml-jackson-databind-2.12.2
+  (package
+    (inherit java-fasterxml-jackson-databind)
+    (name "java-fasterxml-jackson-databind")
+    (version "2.12.2")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://github.com/FasterXML/jackson-databind")
+                    (commit (string-append "jackson-databind-" version))))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "1936c6lzbnd0lyb7c19flzklb5j39vxyhlgjl49jkcikbj5vkjav"))))
+    (inputs
+     (list java-fasterxml-jackson-core-2.12.2
+           java-fasterxml-jackson-annotations-2.12.2))))
+
 (define-public java-fasterxml-jackson-modules-base-jaxb
   (package
     (name "java-fasterxml-jackson-modules-base-jaxb")
-- 
2.38.0

